# Interface StdCapabilityInterface

All Superinterfaces:
  `RegCapabilityInterface`

public interface StdCapabilityInterface extends RegCapabilityInterface
Characterises a VOResource (capability,interface) pair including information that may be required at invocation time. This extends the RegCapabilityInterface including some more metadata that is not currently required for (and in some cases may be problematic to acquire during) resource discovery.

Since:
  27 Sep 2018
Author:
  Mark Taylor
See Also:
  - VOResource

## Method Summary

Modifier and Type
Method
Description
`String`
`getInterfaceType()`
Returns the xsi:type of this capability-interface.
`String`
`getRole()`
Returns the role for this capability-interface.
`String[]`
`getSecurityMethodIds()`
Returns the security method IDs declared for this capability-interface.

### Methods inherited from interface RegCapabilityInterface

`getAccessUrl, getDescription, getStandardId, getVersion, getXsiType`

## Method Details

### getRole

String getRole()
Returns the role for this capability-interface. Standard interfaces are supposed to have a value of "std" or starting with "std:".

Returns:
  capability/interface/@role

### getInterfaceType

String getInterfaceType()
Returns the xsi:type of this capability-interface. Note this is the xsi:type of the interface, not the capability.

Returns:
  capability/interface/@xsi:type

### getSecurityMethodIds

String[] getSecurityMethodIds()
Returns the security method IDs declared for this capability-interface. The return value is an array of zero or more strings. If one of the entries is null or empty, or if the list is empty, then an unauthenticated access method is considered to be declared (according to the TAP 1.1 draft I'm looking at right now, volute r5332).

Returns:
  capability/interface/securityMethod/@standardId